Skip to main content
GET
/
v2
/
historical
/
asset-prices
/
{network}
/
{assetAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/v2/historical/asset-prices/{network}/{assetAddress} \
  --header 'x-api-key: <api-key>'
{
  "itemsOnPage": 123,
  "data": [
    {
      "timestamp": 123,
      "priceInUsd": "<string>"
    }
  ],
  "nextPage": 123
}

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
assetAddress
string
required

Asset address to get the historical prices for

Pattern: ^0x[a-fA-F0-9]{40}$

Query Parameters

page
integer
default:0

Page number (starting from 0)

Required range: x >= 0
perPage
integer
default:50

Number of items per page

Required range: 0 < x <= 20000
granularity
enum<string>
default:1hour

Granularity for historical data (even intervals starting from epoch 0). Possible values: 1hour, 1day, 1week

Available options:
1hour,
1day,
1week
fromTimestamp
integer
default:0

Timestamp for the start of the time period for which data will be fetched

toTimestamp
integer

Timestamp for the end of the time period for which data will be fetched

Response

Historical price data for an asset, paginated by timestamp

Historical price data for an asset, paginated by timestamp

itemsOnPage
integer
required

Number of items on the current page

data
object[]
required
nextPage
integer

Next page number